# Expected version format is: major.minor.fixes
__version__ = '1.8.89'


# SDB-2003 temporarily patches problem with databricks and mysql
try:
    import MySQLdb
except Exception as exc:
    pass

from slashdb import logging_conf
from slashdb.app import create_slashdb_app
from .patches import patch_all

logging_conf.set_defaults_for_custom_fields()

patch_all()


def app_factory(global_config, **settings):
    """This function returns a Pyramid WSGI application.

    :param global_config:
    :param settings: dictionary of settings passed from INI file

    """

    return create_slashdb_app(global_config, settings)
