angular
.module(
    'sdbgui',
    [
        'ngMessages', 'ngAnimate', 'ui.bootstrap', 'angularSlashDB',
        'ngclipboard', 'ui.codemirror', 'ui.layout', 'selectize',
    ]
)
.config(['$locationProvider', '$compileProvider', '$httpProvider', 'slashDBProvider', 'sessionControlProvider',
    function config($locationProvider, $compileProvider, $httpProvider, slashDBProvider, sessionControlProvider) {

        $compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|blob):/);

        $httpProvider.defaults.withCredentials = true;

        $httpProvider.interceptors.push(sessionControlProvider.interceptor)

        $httpProvider.defaults.transformResponse.unshift(fixNanInf);
        slashDBProvider.setEndpoint(window.location.origin);
        slashDBProvider.setCacheData(false);
    }]);

function fixNanInf(response) {
    if (response.startsWith("[") && response.endsWith("]")) {
        nanInfStrings = [
            ['": NaN', '": "nan"'],
            ['":NaN', '":"nan"'],
            ['": Infinity', '": "inf"'],
            ['":Infinity', '":"inf"'],
            ['": -Infinity', '": "-inf"'],
            ['":-Infinity', '":"-inf"']
        ]

        for (let str of nanInfStrings) {
            if (response.includes(str[0])) {
                response = response.replaceAll(str[0], str[1])
            }
        }
    }
    return response;
}