<%
    slashdb_status = request.get_slashdb_status()
%>
<!DOCTYPE html>
<html lang="en" ng-app="sdbgui" ng-csp="no-unsafe-eval">
<head>
    <meta charset="utf-8">
    <%block name="pagetitle">
        <title>SlashDB</title>
    </%block>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="VT Enterprise" >
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <link rel="icon" type="image/ico" href="/static/images/favicon.ico" />

    <link rel="stylesheet" href="/static/bower_components/bootstrap/dist/css/bootstrap.css">
    <link rel="stylesheet" href="/static/bower_components/components-font-awesome/css/all.min.css">
    <link rel="stylesheet" href="/static/css/main.css">
    <link rel="stylesheet" href="/static/css/navbar.css">
    <link rel="stylesheet" href="/static/bower_components/selectize/dist/css/selectize.bootstrap3.css">

    <%block name="preangular" />

    <script src="/static/bower_components/jquery/dist/jquery.min.js"></script>
    <script src="/static/bower_components/angular/angular.min.js"></script>
    <script src="/static/bower_components/angular-cookies/angular-cookies.js"></script>
    <script src="/static/bower_components/angular-animate/angular-animate.js"></script>
    <script src="/static/bower_components/angular-bootstrap/ui-bootstrap-tpls.js"></script>
    <script src="/static/bower_components/angular-slashdb/dist/angular-slashdb.js"></script>
    <script src="/static/bower_components/ngclipboard/dist/ngclipboard.js"></script>
    <script src="/static/bower_components/angular-ui-codemirror/ui-codemirror.js"></script>

    <%block name="appjs">
        <script src="/static/main-app.js"></script>
    </%block>

    <script src="/static/components/sdbgui-login/session-control.js"></script>
    <script src="/static/components/sdbgui-utils/sdbgui-utils.js"></script>
    <link rel="stylesheet" href="/static/components/sdbgui-utils/sdbgui-utils.style.css">

    <script src="/static/components/sdbgui-welcome/sdbgui-welcome.component.js"></script>
    <link rel="stylesheet" href="/static/components/sdbgui-welcome/sdbgui-welcome.style.css">

    <script src="/static/components/sdbgui-setadmin/sdbgui-setadmin.js"></script>

    <script src="/static/components/sdbgui-license.js"></script>

    <script src="/static/components/sdbgui-sqlpassthru/sdbgui-sqlpassthru.js"></script>
    <link rel="stylesheet" href="/static/components/sdbgui-sqlpassthru/sdbgui-sqlpassthru.style.css">

    <script src="/static/components/sdbgui-databases/sdbgui-databases.js"></script>

    <script src="/static/components/sdbgui-modalconfig/sdbgui-modalconfig.js"></script>

    <script src="/static/components/sdbgui-userconfigs/sdbgui-userconfigs.js"></script>
    <link rel="stylesheet" href="/static/components/sdbgui-userconfigs/sdbgui-userconfigs.style.css">

    <script src="/static/components/sdbgui-queryconfigs/sdbgui-queryconfigs.js"></script>
    <link rel="stylesheet" href="/static/components/sdbgui-userconfigs/sdbgui-userconfigs.style.css">

    <script src="/static/components/sdbgui-navbar.controller.js"></script>

##    <script src="/static/components/sdbgui-notificator/sdbgui-notificator.js"></script>

    <script src="/static/components/sdbgui-breadcrumbs/breadcrumbs.js"></script>
    <link rel="stylesheet" href="/static/components/sdbgui-breadcrumbs/breadcrumbs.css">

    <script src="/static/bower_components/selectize/dist/js/standalone/selectize.min.js"></script>
    <script src="/static/bower_components/angular-selectize2/dist/angular-selectize.js"></script>
    <script src="/static/services/selectize.service.js"></script>
    <script src="/static/filters/filterFields.filter.js"></script>

    <%block name="postangular" />

    <%block name="styles" />
    <%block name="scripts" />

    <link rel="stylesheet" href="/static/css/selectize-styling.css">
</head>

<body>
    <%include file='/snippets/navbar.mako' />
    <breadcrumbs></breadcrumbs>
    <div id="page-content" class="container-fluid">
        <%block name="content" />
    </div>
    % if slashdb_status['welcome_mode']:
        <welcome></welcome>
    % elif 'set_admin' in slashdb_status:
        <setadmin></setadmin>
    % endif

    <footer class="footer navbar-fixed-bottom">
        <div class="container-fluid">
            <div class="row">
##                <div class="col-md-10 col-sm-8 col-xs-6 license">
                <div class="col-sm-12 license">
                    <a href="http://www.slashdb.com"
                       rel="noopener noreferrer"
                       target="_blank"
                    >${slashdb_status['product']}</a> ver. ${slashdb_status['version']} &copy; VT Enterprise LLC. All rights reserved.
                    % if slashdb_status['organization']:
                        Licensed to ${slashdb_status['organization']}.
                    % endif
                    % if slashdb_status['license_type'] == "Developer License":
                        Restricted for development and evaluation purposes.
                    % endif
                    % if slashdb_status['expiration']:
                        Expires ${slashdb_status['expiration']} (<a href="/license">details</a>).
                    % endif
                </div>
##                <div class="col-md-2 col-sm-4 col-xs-6">
##                    <notificator class="pull-right"></notificator>
##                </div>
            </div>
        </div>
    </footer>
</body>

</html>
