<%inherit file="/base.mako"/>

<%block name="pagetitle">
    <title ng-non-bindable>
    Data Discovery | ${self.context["request"].path_segments[-1]}
    </title>
</%block>

<%block name="content">
    <div class="row header" ng-non-bindable>
        <div class="col-sm-4">
            <h1><img class="icon" src="/static/images/blue-files.png" /><a href="${html_link}">${resource_name}</a></h1>
        </div>
        <div class="col-sm-4">
            <%include file="/snippets/prev_next.mako" />
        </div>
        <div class="col-sm-4">
            <div class="links btn-group btn-group-sm pull-right">
                %for btn_link in btn_links:
                    <a href="${btn_link.url}" class="btn ${btn_link.css_class}">${btn_link.value}</a>
                %endfor
            </div>
        </div>
    </div>
    <div class="resource-content width-auto" ng-non-bindable>
        <table class="table table-hover table-condensed width-auto table-bottom-border">
            <thead>
            <tr>
                <th>
                    <a href="${clear_sort_url}" class="btn btn-xs btn-default${'' if has_sorting else ' disabled'}">clear sort</a>
                </th>
                %for header in column_headers:
                    <th class="no-wrap column-header">
                        <a href="${header.url}">${header.name}</a>
                        <a href="${header.sort_by_url}">
                            <i class="fas ${header.sort_by_css_class}"></i>
                        </a>
                    </th>
                %endfor

                %for header in relation_headers:
                    <th class="no-wrap relation-header">
                        <a href="${header.url}">${header.name}</a>
                    </th>
                %endfor
            </tr>
            </thead>
            <tbody>
                %for resource in data:
                    <tr>
                        <td>
                            %if resource.links:
                            <div class="btn-group btn-group-xs">
                                %for link in resource.links:
                                    <a href="${link.url}" class="btn ${link.css_class}">${link.value}</a>
                                %endfor
                            </div>
                            %endif
                        </td>

                        %for column in resource.columns:
                            <td class="${column.css_class}"><a class="single-value" href="${column.url}"><pre>${column.value}</pre></a></td>
                        %endfor

                        %for relation in resource.relations:
                            <td>
                                <div class="btn-group btn-group-xs">
                                    %for link in relation.links:
                                        <a href="${link.url}" class="relation-href btn ${link.css_class}">${link.value}</a>
                                    %endfor
                                </div>
                            </td>
                        %endfor
                    </tr>
                %endfor
                %if not data:
                    <tr><td colspan="100%" class="text-center"><strong>Sorry. No resources were found.</strong></td></tr>
                %endif
            </tbody>
        </table>
    </div>
</%block>