<%inherit file="/base.mako"/>

<%block name="pagetitle">
    <title ng-non-bindable>
    Data Discovery | ${self.context["request"].path_segments[-1]}
    </title>
</%block>

<%block name="content">
    <div class="row header" ng-non-bindable>
        <div class="col-xs-6">
            <h1><img class="icon" src="/static/images/blue-file.png" />${resource_name}</h1>
        </div>
        <div class="col-xs-6">
            <div class="links btn-group btn-group-sm pull-right">
                %for link in links:
                    <a href="${link.url}" class="btn ${link.css_class}">${link.value}</a>
                %endfor
            </div>
        </div>
    </div>
    <edit-resource-btn></edit-resource-btn>
    ## take second link (JSON) as the delete url
    <delete-resource-btn
        url="${links[1].url}"
        url-postfix="?limit=${request.context.settings.get('html_limit', 29)}">
    </delete-resource-btn>
    <div class="row">
        <editable-resource url="${links[1].url}">
            <div class="col-xs-4" ng-class="{'col-xs-4': !$parent.$ctrl.isEditMode, 'col-xs-6': $parent.$ctrl.isEditMode}">
                <form name="ResourceForm">
                        <table class="table table-hover table-condensed table-bottom-border" ng-class="{'width-auto': !$parent.$ctrl.isEditMode}">
                            <thead>
                                <tr>
                                    <th>Attribute</th>
                                    <th>Value</th>
                                </tr>
                            </thead>
                            <tbody>
                                %for column in columns:
                                    <tr>
                                        <td>${column.name}</td>
                                        <td class="${column.css_class}" id="col-${column.name}" 
                                        ng-class="{'null-val': $parent.$ctrl.nullKeys['${column.name}'] == true, 
                                            'empty-val': $parent.$ctrl.emptyKeys['${column.name}'] == true}">
                                            
                                            <a class="ng-cloak single-value" href="${column.url}" ng-show="!$parent.$ctrl.isEditMode"><pre>{{
                                                $parent.$ctrl.data.${column.name} }}</pre></a>
                                            <div class="input-group">
                                                <input type="text"
                                                    class="ng-cloak form-control input-sm single-value-init ${column.css_class} field" 
                                                    ng-show="$parent.$ctrl.showInputs"
                                                    ng-model="$parent.$ctrl.data.${column.name}"
                                                    ng-init="$parent.$ctrl.initModel('${column.name}', '${column.value}')"
                                                    ng-trim="false"
                                                    ng-class="{null: $parent.$ctrl.data.${column.name} == null, 
                                                    'null-val': $parent.$ctrl.nullKeys['${column.name}'] == true, 
                                                        'empty-val-edit': ($parent.$ctrl.emptyKeys['${column.name}'] == true && $parent.$ctrl.isEditMode == true), 
                                                        'empty-val': $parent.$ctrl.emptyKeys['${column.name}'] == true}"
                                                    ng-disabled="$parent.$ctrl.data.${column.name} == null"
                                                    placeholder="{{$parent.$ctrl.data.${column.name} == null ? $parent.$ctrl.nullDisplayString : ''}}"
                                                >
                                                <span class="input-group-btn" ng-if="$parent.$ctrl.isEditMode"> 
                                                    <null-btn value="${column.value}" key="${column.name}"></null-btn>    
                                                </span>
                                            </div>
                                        </td>
                                    </tr>
                                %endfor
                            </tbody>
                        </table>
                        <edit-resource-controls
                            on-save="$parent.$ctrl.save()"
                            on-close="$parent.$ctrl.close()"
                            is-edit-mode="$parent.$ctrl.isEditMode">
                        </edit-resource-controls>
                </form>
            </div>
            <div class="col-xs-6" ng-class="{'col-xs-6': !$parent.$ctrl.isEditMode, 'col-xs-4': $parent.$ctrl.isEditMode}">
                <table class="table table-hover table-condensed width-auto">
                    <thead>
                        <tr>
                            <th>Relationships</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        %for relation in relations:
                            <tr>
                                <td class="attribute">${relation.name}</td>
                                <td>
                                    %if relation.links:
                                        <div class="btn-group btn-group-xs">
                                            %for link in relation.links:
                                                <a href="${link.url}" class="relation-href btn ${link.css_class}">${link.value}</a>
                                            %endfor
                                        </div>
                                    %endif
                                </td>
                            </tr>
                        %endfor
                    </tbody>
                </table>
            </div>
        </editable-resource>
    </div>
    <div class="row">
        <div class="col-sm-12">
            </br>
            <success-alert></success-alert>
            <error-alert></error-alert>
        </div>
    </div>
</%block>
