<%inherit file="/base.mako"/>

<%block name="pagetitle">
    <title ng-non-bindable>
    Data Discovery | ${self.context["request"].path_segments[-1]} Schema
    </title>
</%block>

<%block name="content">
    <div class="row header">
        <div class="col-xs-6">
            <h1 ng-non-bindable><img class="icon" src="/static/images/blue-file.png" />
                ${self.context["request"].path_segments[-1]} Schema
            </h1>
        </div>
        <div class="col-xs-6">
            <div class="links btn-group btn-group-sm pull-right">
                %for link in links:
                    <a href="${link.url}" class="btn ${link.css_class}">${link.value}</a>
                %endfor
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-8">
            <table class="table table-hover table-condensed table-bottom-border">
                <thead>
                    <tr>
                        <th>Attribute</th>
                        %for f in formats:
                            <th>${f.upper()} Type</th>
                        %endfor
                        <th>PK/FK</th>
                        <th>Nullable</th>
                        <th>Max Character Length</th>
                    </tr>
                </thead>
                <tbody>
                    %for column in columns:
                        <tr>
                            %if scalar_count != 1:
                                <td>
                                    <a class="ng-cloak single-value" href="${column.value['html_url']}">
                                        <pre ng-non-bindable>${column.name}</pre>
                                    </a>
                                </td>
                            %else:
                                <td>
                                    <span ng-non-bindable>${column.name}</span>
                                </td>
                            %endif

                            %for f in formats:
                                %if scalar_count != 1:
                                    <td class="${column.css_class}" id="col-${column.name}-${f}-type">
                                        <a class="ng-cloak single-value" href="${column.value[f]['url']}"><pre ng-non-bindable>${column.value[f]['type']}</pre></a>
                                    </td>
                                %else:
                                    <td class="${column.css_class}" id="col-${column.name}-${f}-type">
                                        <a class="ng-cloak single-value" href="${column.name}.${f}?schema"><pre ng-non-bindable>${column.value[f]['type']}</pre></a>
                                    </td>
                                %endif
                            %endfor
                            <td class="${column.css_class}" id="col-${column.name}-pkfk">
                                <span ng-non-bindable>${'PK' if column.value['is_pk'] else ''} ${'FK' if column.value['is_fk'] else ''}</span>
                            </td>


                            <td class="${column.css_class}" id="col-${column.name}-nullable">
                                <span ng-non-bindable>${column.value['nullable']}</span>
                            </td>
                            <td class="${column.css_class}" id="col-${column.name}-max-length">
                                <span ng-non-bindable>${column.value['max_length']}</span>
                            </td>

                        </tr>
                    %endfor
                </tbody>
            </table>

            </div>

            %if relations:
                <div class="col-xs-4">
                    <table class="table table-hover table-condensed width-auto">
                        <thead>
                            <tr>
                                <th>Relationship Schemas</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            %for relation in relations:
                                <tr>
                                    <td class="attribute">${relation.name}</td>
                                    <td>
                                        %if relation.links:
                                            <div class="btn-group btn-group-xs">
                                                %for link in relation.links:
                                                    <a href="${link.url}" class="relation-href btn ${link.css_class}">${link.value}</a>
                                                %endfor
                                            </div>
                                        %endif
                                    </td>
                                </tr>
                            %endfor
                        </tbody>
                    </table>
                </div>
            %endif

    </div>
    <div class="row">
        <div class="col-sm-12">
        </div>
    </div>
</%block>
