<%inherit file="/base.mako"/>

<%block name="pagetitle">
    <title ng-non-bindable>
    Data Discovery | ${self.context["request"].path_segments[-1]}
    </title>
</%block>

<%block name="content">
	<div class="row header" ng-non-bindable>
        <div class="col-xs-8">
            <h1><img class="icon" src="/static/images/blue-database.png" />${db_name} (database)</h1>
        </div>
        <div class="col-xs-4">
            <div class="links btn-group btn-group-sm pull-right">
                <a href="${base_url}.json" class="btn btn-json ">JSON</a>
                <a href="${base_url}.csv" class="btn btn-csv">CSV</a>
                <a href="${base_url}.xml" class="btn btn-xml">XML</a>
                <a href="${base_url}.xsd" class="btn btn-xsd">XSD</a>
            </div>
        </div>
    </div>
    <div class="width-auto" ng-non-bindable>
        <table id="res_table" class="table table-hover table-condensed width-auto table-bottom-border">
            <thead>
                <tr>
                    <th>Table Name</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                %for table in tables:
                    <tr>
                        <td class="no-wrap">
                            <a href="${base_url}/${table}.html?limit=${limit}">
                                ${table}
                            </a>
                        </td>
                        <td>
                            <div class="btn-group btn-group-xs">
                                <a href="${base_url}/${table}.html?limit=${limit}" class="btn btn-html">HTML</a>
                                <a href="${base_url}/${table}.json?limit=${limit}" class="btn btn-json">JSON</a>
                                <a href="${base_url}/${table}.csv?limit=${limit}" class="btn btn-csv">CSV</a>
                                <a href="${base_url}/${table}.xml?limit=${limit}" class="btn btn-xml">XML</a>
                                <a href="${base_url}/${table}.xsd?limit=${limit}" class="btn btn-xsd">XSD</a>
                            </div>
                        </td>
                    </tr>
                %endfor
                %if not tables:
                    <tr><td colspan="100%" class="text-center"><strong>Sorry. No tables were found.</strong></td></tr>
                %endif
            </tbody>
        </table>
    </div>
</%block>
