<%inherit file="/base.mako"/>

<%block name="pagetitle">
    <title ng-non-bindable>
    Data Discovery | ${self.context["request"].path_segments[-1]}
    </title>
</%block>

<%block name="content">
    <div class="row header" ng-non-bindable>
        <div class="col-xs-8">
            <h1><img class="icon" src="/static/images/blue-vector.png" /><a href="${html_link}">${column_name} (vector)<a/></h1>
        </div>
        <div class="col-xs-4">
            <div class="links btn-group btn-group-sm pull-right">
                %for btn_link in btn_links:
                    <a href="${btn_link.url}" class="btn ${btn_link.css_class}">${btn_link.value}</a>
                %endfor
            </div>
        </div>
    </div>

    <div class="resource-content" ng-non-bindable>
        <%include file="/snippets/prev_next.mako" />
        <a href="${clear_sort_url}" class="btn btn-xs btn-default${'' if has_sorting else ' disabled'}">clear sort</a>
        <table class="table table-hover table-condensed width-auto table-bottom-border">
            <thead>
                <th class="no-wrap">
                    <span>${header.name}</span>
                    <a href="${header.sort_by_url}">
                        <i class="fas ${header.sort_by_css_class}"></i>
                    </a>
                </th>
            </thead>
            <tbody>
                %for row in data:
                <tr>
                    <td class="${row.css_class}"><a href="${row.url}" class="vector-item"><pre>${row.value}</pre></a></td>
                </tr>
                %endfor
                %if not data:
                    <tr><td colspan="100%" class="text-center"><strong>Sorry. No resources were found.</strong></td></tr>
                %endif
            </tbody>
        </table>
    </div>
</%block>
