<%inherit file="/base.mako"/>

<%block name="pagetitle">
    <title>
    SQL Pass-Thru | ${self.context["request"].path_segments[-1]}
    </title>
</%block>

<%block name="content">
    <div class="row header">
        <div class="col-xs-10">
            <h1><img class="icon" src="/static/images/blue-qdefs.png" />Query Definition: ${query_config.query_id}</h1>
        </div>
        <div class="col-xs-2">
            <div class="links btn-group btn-group-sm pull-right">
                <a href="/querydef/${query_config.query_id}.json" class="btn btn-inverse btn-json">JSON</a>
            </div>
        </div>
    </div>
    <div class="resource-content">
        <div class="col-lg-3">
            <h4>Query ID</h4>
            <pre>${query_config.query_id}</pre>
            <h4>Description</h4>
            <pre>${query_config.desc}</pre>
            <h4>Created by</h4>
            <pre>${query_config.creator}</pre>
            <h4>Users allowed to view this query definition</h4>
            <pre>${', '.join(query_config.read)}</pre>
            <h4>Users allowed to modify this query definition</h4>
            <pre>${', '.join(query_config.write)}</pre>
            <h4>Users allowed to execute this query definition</h4>
            <pre>${', '.join(query_config.execute)}</pre>
        </div>
        <div class="col-lg-9">
            <h4>Used database</h4>
            <pre>${query_config.database}</pre>
            <h4>SQL</h4>
            <pre>${query_config.sqlstr}</pre>
            <h4>HTTP Methods</h4>
            <pre>${', '.join(m for m in query_config.http_methods if m)}</pre>
            <a class="btn btn-primary" href="/querystudio/${query_config.query_id}.html">Open is QueryStudio</a>

        </div>
    </div>
</%block>

