<%
    slashdb_status = request.get_slashdb_status()
    navbar_info = slashdb_status['navbar_info']
%>
<nav class="navbar navbar-inverse navbar-fixed-top" ng-controller="NavbarController as ctrl" ng-cloak>
    <div class="container-fluid" ng-init="isCollapsed = true">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" ng-click="isCollapsed = !isCollapsed">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>

            <a class="navbar-brand" href="/" target="_self">
                <img id="navbar-logo" alt="SlashDB Logo" src="/static/images/logo-s.png">
            </a><br>
            <a id="navbar-license-type" href="/license" target="_self" class="${navbar_info.css_class}" >${navbar_info.title}</a>


        </div>
        <div class="navbar-collapse" uib-collapse="isCollapsed">
            <ul class="nav navbar-nav">
                <li><a href="/db" target="_self">Data Discovery</a></li>
                <li><a href="/query" target="_self">SQL Pass-thru</a></li>
                <li class="dropdown" uib-dropdown>
                    <a href="#" class="dropdown-toggle" uib-dropdown-toggle>Configure <b class="caret"></b></a>
                    <ul class="dropdown-menu" uib-dropdown-menu>
                        <li><a href="/dbdef" target="_self">Databases</a></li>
                        <li><a href="/userdef" target="_self">Users</a></li>
                        <li><a href="/querydef" target="_self">Queries</a></li>
                        <li><a href="/license" target="_self">License</a></li>
                    </ul>
                </li>
                <li class="dropdown" uib-dropdown>
                    <a href="#" class="dropdown-toggle" uib-dropdown-toggle>Help <b class="caret"></b></a>
                    <ul class="dropdown-menu" uib-dropdown-menu>
                        <li><a href="https://www.slashdb.com/schedule-demo/"
                               rel="noopener noreferrer"
                               target="_blank"
                        >Schedule Demo</a></li>
                        <li><a href="https://docs.slashdb.com/user-guide/"
                               rel="noopener noreferrer"
                               target="_blank"
                        >User Guide</a></li>
                        <li><a href="https://www.youtube.com/playlist?list=PLOoRZ1qtQIzn05A2Frp8jupH2brxyITJj"
                               rel="noopener noreferrer"
                               target="_blank"
                        >Video Tutorials on YouTube</a></li>
                        <li><a href="https://stackoverflow.com/questions/ask?tags=slashdb+rest+api"
                               rel="noopener noreferrer"
                               target="_blank"
                        >Ask on StackOverflow</a></li>
                        <li><a href="https://gitter.im/SlashDB/ask-anything"
                               rel="noopener noreferrer"
                               target="_blank"
                        >Community chat room on Gitter</a></li>
                    </ul>
                </li>
            </ul>

            <form class="navbar-form navbar-right"
                  ng-if="!ctrl.loggedIn()"
            >
                <a href="/login" target="_self" class="btn btn-primary">Log in</a>
            </form>
            <ul class="nav navbar-nav navbar-right"
                ng-if="ctrl.loggedIn()"
            >
                <li class="dropdown" uib-dropdown>
                    <a href="#" class="dropdown-toggle" uib-dropdown-toggle>
                        <span id="user_menu_header">{{ ctrl.getUser() }}</span><b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu" uib-dropdown-menu>
                        <li><a href="#" ng-click="ctrl.openUserSettings()">Settings</a></li>
                        <li><a href="/logout" ng-click="ctrl.onLogout()" target="_self">Logout</a></li>
                    </ul>
                </li>
            </ul>

        </div>
    </div>
</nav>
