<%inherit file="/base.mako"/>

<%block name="pagetitle">
    <title ng-non-bindable>
    SQL Pass-Thru | ${self.context["request"].path_segments[-1]}
    </title>
</%block>

<%block name="content">
    <div class="row header" ng-non-bindable>
        <div class="col-xs-4">
            <h1><img class="icon" src="/static/images/blue-files.png" />${query_id}</h1>
        </div>
        <div class="col-xs-4">
            <%include file="/snippets/prev_next.mako" />
        </div>
        <div class="col-xs-4">
            <div class="links btn-group btn-group-xs pull-right">
                %for link in header_links:
                <a href="${link.url}" class="btn ${link.css_class}">${link.value}</a>
                %endfor
            </div>
        </div>
    </div>
    <div class="resource-content" ng-non-bindable>
        <a href="${clear_sort_url}"
           id="clear-sort-execute-only"
           class="btn btn-xs btn-default${'' if has_sorting else ' disabled'}"
        >clear sort</a>
        <table class="table table-hover table-condensed table-nonfluid width-auto">
            <thead>
            <tr>
                %for header in headers:
                    <th class="no-wrap column-header">
                        <a href="${header.url}">${header.name}</a>
                        <a href="${header.sort_by_url}">
                            <i class="fas ${header.sort_by_css_class}"></i>
                        </a>
                    </th>
                %endfor
            </tr>
            </thead>
            <tbody>
                %for row in data:
                <tr>
                    %for col in row:
                        <td class="${col.css_class}">${col.value}</td>
                    %endfor
                </tr>
                %endfor
                %if not data:
                    <tr>
                        <td colspan="100%" class="text-center"><strong>Sorry. No resources were found.</strong></td>
                    </tr>
                %endif

            </tbody>
        </table>

    </div>
</%block>
