<%inherit file="/base.mako"/>

<%block name="pagetitle">
    <title ng-non-bindable>
    SQL Pass-Thru | ${self.context["request"].path_segments[-1]} Schema
    </title>
</%block>

<%block name="content">
    <div class="row header">
        <div class="col-xs-8">
            <h1><img class="icon" src="/static/images/blue-files.png" />${query_id} Schema</h1>
        </div>
        <div class="col-xs-4">
            <div class="links btn-group btn-group-xs pull-right">
                %for link in header_links:
                    <a href="${link.url}" class="btn ${link.css_class}">${link.value}</a>
                %endfor
            </div>
        </div>
    </div>
    <div class="resource-content">
        <table class="table table-hover table-condensed table-nonfluid width-auto">
            <thead>
                <tr>
                    <th>Attribute</th>
                    %for f in formats:
                        <th>${f.upper()} Type</th>
                    %endfor
                </tr>
            </thead>
            <tbody>
                %for col in columns:
                    <tr>
                        <td>
                            %if scalar_count != 1:
                                <a class="ng-cloak single-value" href="${col.value['html_url']}">
                                    <pre ng-non-bindable>${col.name}</pre>
                                </a>
                            %else:
                                <span ng-non-bindable>${col.name}</span>
                            %endif
                        </td>
                        %for f in formats:
                            <td>
                                <a class="ng-cloak single-value" href="${col.value[f]['url']}">
                                    <pre ng-non-bindable>${col.value[f]['type']}</pre>
                                </a>
                            </td>
                        %endfor
                    </tr>
                %endfor
                %if not columns:
                    <tr>
                        <td colspan="100%" class="text-center"><strong>No schema could be generated for this query. Ensure that the query result contains records.</strong></td>
                    </tr>
                %endif                
            </tbody>
        </table>

    </div>
</%block>
