from pyramid.view import view_config

from slashdb.views.misc.misc_views import version_view as version_view_impl
from slashdb.views.misc.misc_views import settings_view as settings_view_impl
from slashdb.views.misc.misc_views import cache_schema_view as cache_schema_view_impl
from slashdb.views.misc.misc_views import uncache_schema_view as uncache_schema_view_impl
from slashdb.views.misc.misc_views import load_model_view as load_model_view_impl
from slashdb.views.misc.misc_views import unload_model_view as unload_model_view_impl
from slashdb.views.misc.misc_views import get_all_models_view as get_all_models_view_impl
from slashdb.views.misc.misc_views import get_model_view as get_model_view_impl
from slashdb.views.misc.misc_views import set_admin_password_view as set_admin_password_view_impl
from slashdb.views.misc.misc_views import finish_initialization_view as finish_initialization_impl
from slashdb.views.misc.misc_views import validate_instance_id_view as validate_instance_id_impl
from slashdb.views.misc.misc_views import get_all_reflect_statuses_view as get_all_reflect_statuses_view_impl
from slashdb.views.misc.misc_views import check_database_connection_view as check_database_connection_view_impl
from slashdb.views.misc.misc_views import check_database_mapping_connection_view as check_database_mapping_connection_view_impl
from slashdb.views.misc.misc_views import get_reflect_status_view as get_reflect_status_view_impl


@view_config(route_name='version')
def version_view(context, request):
    return version_view_impl(context, request)


@view_config(route_name='settings')
def settings_view(context, request):
    return settings_view_impl(context, request)


@view_config(
    route_name='get_all_reflect_statuses',
    request_method='GET',
    renderer='json'
)
def get_all_reflect_statuses_view(context, request):
    return get_all_reflect_statuses_view_impl(context, request)


@view_config(route_name='check_database_connection', request_method='POST')
def check_database_connection_view(context, request):
    return check_database_connection_view_impl(context, request)


@view_config(route_name='check_database_mapping_connection', request_method='POST')
def check_database_mapping_connection_view(context, request):
    return check_database_mapping_connection_view_impl(context, request)


@view_config(route_name='get_reflect_status', request_method='GET', renderer='json')
def get_reflect_status(context, request):
    return get_reflect_status_view_impl(context, request)


def cache_schema_view(context, request):
    return cache_schema_view_impl(context, request)


def uncache_schema_view(context, request):
    return uncache_schema_view_impl(context, request)


def load_model_view(context, request):
    return load_model_view_impl(context, request)


def unload_model_view(context, request):
    return unload_model_view_impl(context, request)


def get_all_models_view(context, request):
    return get_all_models_view_impl(context, request)


def get_model_view(context, request):
    return get_model_view_impl(context, request)


@view_config(route_name='set_admin_password')
def set_admin_password_view(context, request):
    return set_admin_password_view_impl(context, request)


@view_config(route_name='finish_initialization')
def finish_initialization(context, request):
    return finish_initialization_impl(context, request)


@view_config(
    route_name='validate_instance_id',
    request_method='POST'
)
def validate_instance_id(context, request):
    return validate_instance_id_impl(context, request)
